<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.manager.mapper.TextdictInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="textdictInfoResultMap" type="org.springblade.manager.entity.TextdictInfo">
        <result column="id" property="id"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="dict_value" property="dictValue"/>
        <result column="sort" property="sort"/>
        <result column="com_id" property="comId"/>
        <result column="is_defult" property="isDefult"/>
    </resultMap>


    <select id="selectTextdictInfoPage" resultMap="textdictInfoResultMap">
        select * from m_textdict_info where is_deleted = 0
    </select>

</mapper>
